package com.xjrsoft.module.activity.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.activity.dto.ActivityInfoPageDto;
import com.xjrsoft.module.activity.dto.AddActivityInfoDto;
import com.xjrsoft.module.activity.dto.UpdateActivityInfoDto;
import com.xjrsoft.module.activity.entity.ActivityInfo;
import com.xjrsoft.module.activity.vo.ActivityInfoPageVo;

import java.util.List;

/**
* @title: 活动信息
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/

public interface IActivityInfoService extends MPJBaseService<ActivityInfo> {
    /**
    * 新增
    *
    * @return
    */
    Boolean add(AddActivityInfoDto dto);

    /**
    * 更新
    *
    * @return
    */
    Boolean update(UpdateActivityInfoDto dto);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);


    Page<ActivityInfoPageVo> getPage(Page<ActivityInfoPageVo> page, ActivityInfoPageDto dto);

    Page<ActivityInfoPageVo> getMyPage(Page<ActivityInfoPageVo> page, ActivityInfoPageDto dto);
}
