package com.xjrsoft.module.banding.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 新生分班任务
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
@TableName("banding_task_major_condition")
@ApiModel(value = "banding_task_major_condition", description = "新生分班任务专业限制条件")
public class BandingTaskMajorCondition implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty("")
    @TableId
    private Long id;

    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;

    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;

    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;

    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;

    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;

    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;

    @ApiModelProperty("")
    private Integer sortCode;

    @ApiModelProperty("年级id")
    private Long majorSetId;

    @ApiModelProperty("身高")
    private BigDecimal height;

    @ApiModelProperty("分数")
    private BigDecimal score;

    @ApiModelProperty("任务id")
    private Long bandingTaskId;
}