package com.xjrsoft.module.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学期表
 * </p>
 *
 * @author baomidou
 * @since 2023-09-02 04:52:58
 */
@Data
@TableName("base_office_build")
@ApiModel(value = "BaseOfficeBuild对象", description = "楼栋表")
public class BaseOfficeBuild implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("创建人")
    private Long createUserId;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改人")
    private Long modifyUserId;

    @ApiModelProperty("修改时间")
    private Date modifyDate;

    @ApiModelProperty("删除标记")
    private Integer deleteMark;

    @ApiModelProperty("有效标志")
    private Integer enabledMark;

    @ApiModelProperty("楼栋名称")
    private String name;

    @ApiModelProperty("所属校区(xjr_department)第一级")
    private Long orgId;

    @ApiModelProperty("楼层数")
    private Integer floorTotal;

    @ApiModelProperty("楼栋类型(xjr_dictionary_item[build_type])")
    private String buildType;

    @ApiModelProperty("楼栋号")
    private Integer buildNumber;

    @ApiModelProperty("状态（1:可用 0:停用）")
    private Integer status;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("描述")
    private String remark;
}
