package com.xjrsoft.module.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学期表
 * </p>
 *
 * @author baomidou
 * @since 2023-09-02 04:52:58
 */
@Data
@TableName("base_semester")
@ApiModel(value = "BaseSemester对象", description = "学期表")
public class BaseSemester implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("创建人")
    private Long createUserId;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改人")
    private Long modifyUserId;

    @ApiModelProperty("修改时间")
    private Date modifyDate;

    @ApiModelProperty("删除标记")
    private Integer deleteMark;

    @ApiModelProperty("有效标志")
    private Integer enabledMark;

    @ApiModelProperty("学期名称")
    private String name;

    @ApiModelProperty("学期开始日期")
    private Date startDate;

    @ApiModelProperty("学期结束日期")
    private Date endDate;

    @ApiModelProperty("教学开始日期")
    private Date teachingStart;

    @ApiModelProperty("教学结束日期")
    private Date teachingEnd;
}
