package com.xjrsoft.module.courseTable.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;



/**
* @title: 第二课堂
* @Author dzx
* @Date: 2024-07-29
* @Version 1.0
*/
@Data
public class AddSecondCourseDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 学期id
    */
    @ApiModelProperty("学期id")
    private Long baseSemesterId;
    /**
    * 课程名称
    */
    @ApiModelProperty("课程名称")
    private String name;
    /**
    * 课程主要内容
    */
    @ApiModelProperty("课程主要内容")
    private String content;
    /**
    * 开课地点
    */
    @ApiModelProperty("开课地点")
    private String place;
    /**
    * 讲课老师
    */
    @ApiModelProperty("讲课老师")
    private String teacherName;
    /**
    * 封面图片
    */
    @ApiModelProperty("封面图片")
    private Long coverId;
    /**
    * 参与范围
    */
    @ApiModelProperty("参与范围")
    private String enrollRange;
    /**
    * 状态(0:未发布 1:进行中 2:已结束)
    */
    @ApiModelProperty("状态(0:未发布 1:进行中 2:已结束)")
    private Integer status;

    /**
    * secondCourseTime
    */
    @ApiModelProperty("secondCourseTime子表")
    private List<AddSecondCourseTimeDto> secondCourseTimeList;
    /**
    * secondCourseEnrollRange
    */
    @ApiModelProperty("secondCourseEnrollRange子表")
    private List<AddSecondCourseEnrollRangeDto> secondCourseEnrollRangeList;


}
