package com.xjrsoft.module.courseTable.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalTime;
import java.util.Date;


/**
* @title: 第二课堂开课时间
* @Author dzx
* @Date: 2024-07-29
* @Version 1.0
*/
@Data
@TableName("second_course_time")
@ApiModel(value = "second_course_time", description = "第二课堂开课时间")
public class SecondCourseTime implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 第二课堂id
    */
    @ApiModelProperty("第二课堂id")
    private Long secondCourseId;
    /**
    * 上课日期
    */
    @ApiModelProperty("上课日期")
    private String classTime;
    /**
    * 时段（1=上午 2=下午 3=晚上）
    */
    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private Integer timePeriod;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private LocalTime startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private LocalTime endTime;


}