package com.xjrsoft.module.courseTable.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 第二课堂表单出参
* @Author dzx
* @Date: 2024-07-29
* @Version 1.0
*/
@Data
public class SecondCourseVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 学期id
    */
    @ApiModelProperty("学期id")
    private Long baseSemesterId;
    /**
    * 课程名称
    */
    @ApiModelProperty("课程名称")
    private String name;
    /**
    * 课程主要内容
    */
    @ApiModelProperty("课程主要内容")
    private String content;
    /**
    * 开课地点
    */
    @ApiModelProperty("开课地点")
    private String place;
    /**
    * 讲课老师
    */
    @ApiModelProperty("讲课老师")
    private String teacherName;
    /**
    * 封面图片
    */
    @ApiModelProperty("封面图片")
    private Long coverId;
    /**
    * 参与范围
    */
    @ApiModelProperty("参与范围")
    private String enrollRange;
    /**
    * 状态(0:未发布 1:进行中 2:已结束)
    */
    @ApiModelProperty("状态(0:未发布 1:进行中 2:已结束)")
    private Integer status;


    /**
    * secondCourseTime
    */
    @ApiModelProperty("secondCourseTime子表")
    private List<SecondCourseTimeVo> secondCourseTimeList;
    /**
    * secondCourseEnrollRange
    */
    @ApiModelProperty("secondCourseEnrollRange子表")
    private List<SecondCourseEnrollRangeVo> secondCourseEnrollRangeList;
    /**
    * secondCourseEnroll
    */
    @ApiModelProperty("secondCourseEnroll子表")
    private List<SecondCourseEnrollVo> secondCourseEnrollList;

    @ApiModelProperty("封面图片地址")
    private String coverUrl;


    @ApiModelProperty("报名人数")
    private Integer enrollCount;

}
