package com.xjrsoft.module.evaluate.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
* @title: 评价结果分页查询入参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class EvaluateWritePageDto extends PageInput {

    @ApiModelProperty("评分状态（1：已评分，0：未评分, null:全部）")
    private Integer status;

    @ApiModelProperty(value = "登录者id（前端不传，后端传）", hidden = true)
    private Long loginUserId;

    @ApiModelProperty(value = "评价管理id", required = true)
    private Long evaluateManageId;

    @ApiModelProperty(value = "评价类型", required = true)
    private String evaluateType;

    @ApiModelProperty(value = "评价对象id集合", hidden = true)
    private List<Long> evaluateObjectIdList;
}
