package com.xjrsoft.module.evaluate.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 参评人提交记录表
* @Author szs
* @Date: 2024-02-02
* @Version 1.0
*/
@Data
@TableName("evaluate_submit_record")
@ApiModel(value = "evaluate_submit_record", description = "参评人提交记录表")
public class EvaluateSubmitRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private String id;
    /**
    * 评价管理编号
    */
    @ApiModelProperty("评价管理编号")
    private Long evaluateManageId;
    /**
    * 参评人编号
    */
    @ApiModelProperty("参评人编号")
    private Long evaluateExecuterId;
    /**
    * 提交时间
    */
    @ApiModelProperty("提交时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 被评对象（teacher：老师，class：班级，student：学生）
    */
    @ApiModelProperty("被评对象（teacher：老师，class：班级，student：学生）")
    private String evaluatedObject;
    /**
    * 被评对象编号
    */
    @ApiModelProperty("被评对象编号")
    private Long evaluatedObjectId;

    /**
     * 该条评价记录
     */
    @ApiModelProperty("该条评价记录")
    private Integer status;

}