package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 评价管理分页列表出参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateWritePageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("评价管理编号")
    private String evaluateManageId;
    /**
     * 评价对象编号
     */
    @ApiModelProperty("评价对象编号")
    private String evaluateObjectId;
    /**
     * 评价对象具体人或班级编号
     */
    @ApiModelProperty("评价对象具体人或班级编号")
    private String objectId;
    /**
     * 评价对象具体人或班级编号
     */
    @ApiModelProperty("评价对象具体人或班级编号")
    private String objectIdCN;
    /**
     * 参评对象编号
     */
    @ApiModelProperty("参评对象编号")
    private String evaluateUserId;
    /**
     * 评价对象具体人或班级编号
     */
    @ApiModelProperty("参评对象具体人编号")
    private String userId;
    /**
     * 评价对象具体人或班级编号
     */
    @ApiModelProperty("参评对象具体人编号")
    private String userIdCN;
    /**
     * 评价类型-中文
     */
    @ApiModelProperty("评价类型-中文")
    private String evaluateType;
    /**
    * 评价类型-中文
    */
    @ApiModelProperty("评价类型-中文")
    private String evaluateTypeCN;
    /**
    * 评价名称
    */
    @ApiModelProperty("评价名称")
    private String name;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("题目数量")
    private Integer itemCount;


    @ApiModelProperty("总分")
    private Integer totalScore;

    @ApiModelProperty("状态（-1：未发布，0：暂停，1：进行中，2：结束）")
    private Integer status;

    @ApiModelProperty("评价状态（0：未评价，1：已评价）")
    private Integer evaluateStatus;

    @ApiModelProperty("状态（0：表示该用户所有需要评价的都已经评价）")
    private Integer ratedCount;
}
