package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 评价管理分页列表出参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class MobileResultPageVo {
    /**
     * 评价提交记录id
     */
    @ApiModelProperty("评价提交记录id")
    private String evaluateSubmitRecordId;
    /**
    * 主键编号
    */
    @ApiModelProperty("评价管理编号")
    private String evaluateManageId;
    /**
     * 评价名称
     */
    @ApiModelProperty("评价名称")
    private String name;
    /**
     * 评价对象编号
     */
    @ApiModelProperty("评价对象编号")
    private String evaluateObjectId;
    /**
     * 评价对象具体人或班级编号
     */
    @ApiModelProperty("评价对象具体人或班级编号")
    private String objectId;
    /**
     * 评价对象具体人或班级编号
     */
    @ApiModelProperty("评价对象具体人或班级编号")
    private String objectIdCn;
    /**
     * 参评对象编号
     */
    @ApiModelProperty("参评对象编号")
    private String evaluateUserId;
    /**
     * 评价对象具体人或班级编号
     */
    @ApiModelProperty("参评对象具体人编号")
    private String userId;
    /**
     * 评价对象具体人或班级编号
     */
    @ApiModelProperty("参评对象具体人编号")
    private String userIdCn;
    /**
     * 评价类型
     */
    @ApiModelProperty("评价类型")
    private String evaluateType;
    /**
    * 评价类型-中文
    */
    @ApiModelProperty("评价类型-中文")
    private String evaluateTypeCn;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("题目数量")
    private Integer itemCount;

    @ApiModelProperty("总分")
    private Double totalScore;

    @ApiModelProperty("评价状态（0：未评价，1：暂存，2：已评价）")
    private Integer evaluateStatus;

    /**
     * 是否自动生成（0:否，1:是）
     */
    @ApiModelProperty("是否自动生成（0:否，1:是）")
    private Integer isAutoCreate;
}
