package com.xjrsoft.module.ledger.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 物品申购子表表单出参
* @Author dzx
* @Date: 2024-02-19
* @Version 1.0
*/
@Data
public class WfSubscriptionListInfoVo {

    /**
     * 申请部门
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请部门")
    @ApiModelProperty("申请部门")
    private String orgName;
    /**
     * 申请日期
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请日期")
    @ApiModelProperty("申请日期")
    private Date shenQingRiQi4752;
    /**
     * 申请人
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人")
    private String userName;
    /**
     * 附件
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("附件")
    @ApiModelProperty("附件")
    private String folderId;

    @ApiModelProperty("附件列表")
    private List<File> fileInfos;

    @ApiModelProperty("物品清单")
    private List<WfSubscriptionListVo> subscriptionList;

    @ApiModelProperty("流程信息")
    private List<WorkflowRecordVo> workflowRecordList;

    @ApiModelProperty("流程id")
    private String processId;

    @ApiModelProperty("任务id")
    private String taskId;

}
