package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 公文发文
* @Author fanxp
* @Date: 2023-11-06
* @Version 1.0
*/
@Data
@TableName("wf_oa_push")
@ApiModel(value = "公文发文对象", description = "公文发文")
public class WfOaPush implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 发文名称
    */
    @ApiModelProperty("发文名称")
    private String name;
    /**
    * 发文人
    */
    @ApiModelProperty("发文人")
    private String userName;
    /**
    * 说明
    */
    @ApiModelProperty("说明")
    private String remark;
    /**
    * 发文字号
    */
    @ApiModelProperty("发文字号")
    private String number;
    /**
    * 拟稿人
    */
    @ApiModelProperty("拟稿人")
    private String drafters;
    /**
    * 接收人
    */
    @ApiModelProperty("接收人")
    private String recipients;
    /**
    * 发文单位意见
    */
    @ApiModelProperty("发文单位意见")
    private String institution;
    /**
    * 会办单位意见
    */
    @ApiModelProperty("会办单位意见")
    private String backOpinion;
    /**
    * 主题词
    */
    @ApiModelProperty("主题词")
    private String tags;
    /**
    * 秘密等级
    */
    @ApiModelProperty("秘密等级")
    private String secretLevel;
    /**
    * 保密期限
    */
    @ApiModelProperty("保密期限")
    private String confidentialityPeriod;
    /**
    * 印发机关
    */
    @ApiModelProperty("印发机关")
    private String issuingAuthority;
    /**
    * 紧急程度
    */
    @ApiModelProperty("紧急程度")
    private String urgency;
    /**
    * 打印份数
    */
    @ApiModelProperty("打印份数")
    private Double printNumber;
    /**
    * 印发日期
    */
    @ApiModelProperty("印发日期")
    private Date dateOfIssue;
    /**
    * 附件
    */
    @ApiModelProperty("附件")
    private String files;
    /**
    * 隐藏组件
    */
    @ApiModelProperty("隐藏组件")
    private String status;


}