package com.xjrsoft.module.organization.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

/**
 * @title: PersonPageDto
 * @Author dzx
 * @Date: 2024年8月15日
 * @Version 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class PersonPageDto extends PageInput {

    @ApiModelProperty("所属部门")
    private Long departmentId;

    @ApiModelProperty("用户名")
    @Length(max = 20, message = "用户名长度不能超过20")
    private String userName;

    @ApiModelProperty("姓名")
    @Length(max = 20, message = "姓名长度不能超过20")
    private String name;

    @ApiModelProperty("手机号")
    @Length(max = 20, message = "手机号长度不能超过20")
    private String mobile;

    @ApiModelProperty("聘用类型")
    private String employType;

    @ApiModelProperty("聘用方式")
    private String employWay;

}
