package com.xjrsoft.module.outint.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 访客出入记录分页查询入参
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class VisitorOutInRecordPageDto extends PageInput {
    /**
     * 车主姓名
     */
    @ApiModelProperty("车主姓名")
    private String name;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
     * 到访部门id
     */
    @ApiModelProperty("到访部门id")
    private Long deptId;
    /**
     * 被访人用户id
     */
    @ApiModelProperty("被访人用户id")
    private Long respondentUserId;

    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime startTime;
    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime endTime;
    /**
     * 过车方向
     */
    @ApiModelProperty("过车方向")
    private  String status;

    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    private String phone;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String plateNumber;
}
