package com.xjrsoft.module.personnel.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 工资条数据
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/
@Data
@TableName("base_personnel_labour_capital_data")
@ApiModel(value = "工资条数据对象", description = "工资条数据")
public class BasePersonnelLabourCapitalData implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 工资发放id
    */
    @ApiModelProperty("工资发放id")
    private Long labourCapitalId;
    /**
    * 证件类型
    */
    @ApiModelProperty("证件类型")
    private String idType;
    /**
    * 证件号码
    */
    @ApiModelProperty("证件号码")
    private String idNumber;
    /**
    * 工号
    */
    @ApiModelProperty("工号")
    private String jobNumber;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 合计
    */
    @ApiModelProperty("合计")
    private String amountTo;
    /**
    * 扩展信息
    */
    @ApiModelProperty("扩展信息")
    private String extendJson;


}