package com.xjrsoft.module.personnel.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("base_face_identify_records")
@ApiModel(value = "人脸识别记录对象", description = "人脸识别记录")
public class FaceIdentifyRecords implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 设备唯一标识码
     */
    @ApiModelProperty("设备唯一标识码")
    private String macAddr;
    /**
     * 比对时间 yyyy-MM- dd HH:mm:ss
     */
    @ApiModelProperty("比对时间 yyyy -MM - dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime verifyTime;
    /**
     * 设备名称
     */
    @ApiModelProperty("设备名称")
    private String deviceName;
    /**
     * 安装位置
     */
    @ApiModelProperty("安装位置")
    private String location;
    /**
     * 出入方向 0出口 1入口
     */
    @ApiModelProperty("出入 0出口 1入口")
    private Integer inoutDirection;
    /**
     * 人脸编码
     */
    @ApiModelProperty("人脸编码")
    private String faceCode;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 体温
     */
    @ApiModelProperty("体温")
    private String temperature;
    /**
     * 数据同步编号
     */
    @ApiModelProperty("数据同步编号")
    private Integer faceIdentifySyncId;

    /**
     * 比对结果 1=比对成功 0=比对失败
     */
    @ApiModelProperty("比对结果 1=比对成功 0=比对失败")
    private Integer resultStatus;

    /**
     * 识别方式（比对类型）：0人脸识别， 1 黑名单识别（预留字段），2人证比对， 3 IC卡识别
     */
    @ApiModelProperty("识别方式（比对类型）：0人脸识别， 1 黑名单识别（预留字段），2人证比对， 3 IC卡识别")
    private Integer identifyType;

    /**
     * 比对抓拍照片 base64位字符串
     */
    @ApiModelProperty("比对抓拍照片 base64位字符串")
    private String faceBase64;

}
