package com.xjrsoft.module.personnel.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Date;

@Data
public class CarParkRecordsVo {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 车辆编号(base_car_management)
     */
    @ApiModelProperty("车辆编号(base_car_management)")
    private Long baseCarManagementId;
    /**
     * 车牌号码
     */
    @ApiModelProperty("车牌号码")
    private String carNo;
    /**
     * 进场时间
     */
    @ApiModelProperty("进场时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date inTime;
    /**
     * 出场时间
     */
    @ApiModelProperty("出场时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date outTime;
    /**
     * 状态 1=进 2=出
     */
    @ApiModelProperty("状态 1=进 2=出")
    private Integer status;
    /**
     * 进类型 0=识别过车 1=人工处置
     */
    @ApiModelProperty("进类型 0=识别过车 1=人工处置")
    private Integer inPassing;
    /**
     * 进类型 0=识别过车 1=人工处置
     */
    @ApiModelProperty("进类型 0=识别过车 1=人工处置")
    private Integer outPassing;
    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;
    /**
     * 数据同步编号
     */
    @ApiModelProperty("数据同步编号")
    private Integer cSyncId;
}
