package com.xjrsoft.module.room.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 寝室表单出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class RoomVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 楼栋(base_office_build)
    */
    @ApiModelProperty("楼栋(base_office_build)")
    private Long officeBuildId;
    /**
    * 楼层
    */
    @ApiModelProperty("楼层")
    private Integer floorNumber;
    /**
    * 寝室名称
    */
    @ApiModelProperty("寝室名称")
    private String roomName;
    /**
    * 入住身份(xjr_dictionary_item[check_in_status])
    */
    @ApiModelProperty("入住身份(xjr_dictionary_item[check_in_status])")
    private String checkInStatus;
    /**
    * 入住性别(xjr_dictionary_item[gender])
    */
    @ApiModelProperty("入住性别(xjr_dictionary_item[gender])")
    private String gender;
    /**
    * 床位数
    */
    @ApiModelProperty("床位数")
    private Integer bedCount;
    /**
    * 是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否）
    */
    @ApiModelProperty("是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否）")
    private Integer isMax;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;



}
