package com.xjrsoft.module.student.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;



/**
* @title: 学生毕业管理
* @Author dzx
* @Date: 2024-01-26
* @Version 1.0
*/
@Data
public class AddBaseStudentGraduateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学生(xjr_user)
    */
    @ApiModelProperty("学生(xjr_user)")
    private Long userId;
    /**
    * 证书编号
    */
    @ApiModelProperty("证书编号")
    private String certificateNumber;
    /**
    * 发证日期
    */
    @ApiModelProperty("发证日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date certificateDate;
    /**
    * 离寝日期(住读的学生才村)
    */
    @ApiModelProperty("离寝日期(住读的学生才村)")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date leavingBedDate;
    /**
    * 附件id
    */
    @ApiModelProperty("附件id")
    private Long folderId;
    /**
    * 证书发放状态（0:未发放 1:已发放）
    */
    @ApiModelProperty("证书发放状态（0:未发放 1:已发放）")
    private Integer status;

}
