package com.xjrsoft.module.student.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
* @title: 学生班级巡查考核分页查询入参
* @Author dzx
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentAssessmentInspectionPageDto extends PageInput {

    @ApiModelProperty("考核项目ids")
    private List<Long> projectIds;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("学期id")
    private Long semesterId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("考核日期-开始")
    private String startDate;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("考核日期-结束")
    private String endDate;

    @ApiModelProperty("考核人")
    private String assessmentUserName;
}
