package com.xjrsoft.module.student.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;


/**
* @title: 奖学金申请分页查询入参
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentScholarshipApplicantPageDto extends PageInput {

    @NotNull(message = "奖学金类别id不能为空！")
    @ApiModelProperty("奖学金类别id")
    private Long baseStudentScholarshipCategoryId;

    @ApiModelProperty("发放状态（1:已发放 0:未发放）")
    private Integer releaseStatus;

    @ApiModelProperty("学期id")
    private Long semesterId;

    @ApiModelProperty("学生姓名")
    private String name;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("发放日期-开始")
    private String startDate;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("发放日期-结束")
    private String endDate;

}
