package com.xjrsoft.module.student.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class UpdateBaseStudentSchoolRollDto {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
     * 学籍号
     */
    @ApiModelProperty("学籍号")
    private String rollNumber;
    /**
     * 学生档案编号
     */
    @ApiModelProperty("学生档案编号")
    private String archivesNumber;
    /**
     * 入学年月
     */
    @ApiModelProperty("入学年月")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date enrollmentDate;
    /**
     * 入学方式(xjr_dictionary_item[enrollment_type])
     */
    @ApiModelProperty("入学方式(xjr_dictionary_item[enrollment_type])")
    private String enrollmentType;
    /**
     * 入学年级(base_grade)
     */
    @ApiModelProperty("入学年级(base_grade)")
    private Long gradeId;
    /**
     * 入学招生类型(xjr_dictionary_item[enroll_type])
     */
    @ApiModelProperty("入学招生类型(xjr_dictionary_item[enroll_type])")
    private String enrollType;
    /**
     * 在读专业方向(base_major_set)
     */
    @ApiModelProperty("在读专业方向(base_major_set)")
    private Long majorSetId;
    /**
     * 在读专业方向(base_major_set)
     */
    @ApiModelProperty("在读专业方向(base_major_set)")
    private Double studyYear;
    /**
     * 班级(base_class)
     */
    @ApiModelProperty("班级(base_class)")
    private Long classId;
    /**
     * 学生来源(xjr_dictionary_item[student_type])
     */
    @ApiModelProperty("学生来源(xjr_dictionary_item[student_type])")
    private String studentSource;
    /**
     * 学生类别(xjr_dictionary_item[student_type])
     */
    @ApiModelProperty("学生来源(xjr_dictionary_item[student_type])")
    private String studentType;
    /**
     * 学籍状态(xjr_dictionary_item[archives_status])
     */
    @ApiModelProperty("学籍状态(xjr_dictionary_item[archives_status])")
    private String archivesStatus;
    /**
     * 就读方式(xjr_dictionary_item[stduy_status])
     */
    @ApiModelProperty("就读方式(xjr_dictionary_item[stduy_status])")
    private String stduyStatus;
    /**
     * 学习形式(xjr_dictionary_item[learn_status])
     */
    @ApiModelProperty("学习形式(xjr_dictionary_item[learn_status])")
    private String learnStatus;
    /**
     * 分流状态(xjr_dictionary_item[choose_status])
     */
    @ApiModelProperty("分流状态(xjr_dictionary_item[choose_status])")
    private String chooseStatus;
    /**
     * 分段培养方式(xjr_dictionary_item[foster_type])
     */
    @ApiModelProperty("分段培养方式(xjr_dictionary_item[foster_type])")
    private String fosterType;
    /**
     * 招生方式(xjr_dictionary_item[recruit_type])
     */
    @ApiModelProperty("招生方式(xjr_dictionary_item[recruit_type])")
    private String recruitType;
    /**
     * 招生对象(xjr_dictionary_item[recruit_target])
     */
    @ApiModelProperty("招生对象(xjr_dictionary_item[recruit_target])")
    private String recruitTarget;
    /**
     * 入学前最高学历(xjr_dictionary_item[education])
     */
    @ApiModelProperty("入学前最高学历(xjr_dictionary_item[education])")
    private String highestEducation;
    /**
     * 毕业学校
     */
    @ApiModelProperty("毕业学校")
    private String graduatedUniversity;
    /**
     * 毕业成绩
     */
    @ApiModelProperty("毕业成绩")
    private Double graduatedScore;
    /**
     * 考生号
     */
    @ApiModelProperty("考生号")
    private String examineeNumber;
    /**
     * 准考证号
     */
    @ApiModelProperty("准考证号")
    private String ticketNumber;
    /**
     * 入学总分
     */
    @ApiModelProperty("入学总分")
    private Double admissionScores;
    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;
}
