package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 学生处分信息-关联学生
* @Author dzx
* @Date: 2023-11-15
* @Version 1.0
*/
@Data
@TableName("base_punishment_student_relation")
@ApiModel(value = "学生处分信息-关联学生对象", description = "学生处分信息-关联学生")
public class BasePunishmentStudentRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 学生id
    */
    @ApiModelProperty("学生id")
    private Long userId;
    /**
    * 处分信息id
    */
    @ApiModelProperty("处分信息id")
    private Long punishmentInfoId;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 民族(xjr_dictionary_item[nation])
    */
    @ApiModelProperty("民族(xjr_dictionary_item[nation])")
    private String nation;
    /**
    * 所在班级
    */
    @ApiModelProperty("所在班级")
    private String className;
    /**
    * 所学专业
    */
    @ApiModelProperty("所学专业")
    private String major;
    /**
    * 调整类型 1:升级 2:降级 3:撤销
    */
    @ApiModelProperty("调整类型 1:升级 2:降级 3:撤销")
    private Integer adjustType;
    /**
    * 调整日期
    */
    @ApiModelProperty("调整日期")
    private Date adjustDate;
    /**
    * 调整原因
    */
    @ApiModelProperty("调整原因")
    private String adjustReason;

    /**
     * 修改人
     */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
}