package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 学生毕业管理
* @Author dzx
* @Date: 2024-01-26
* @Version 1.0
*/
@Data
@TableName("base_student_graduate")
@ApiModel(value = "base_student_graduate", description = "学生毕业管理")
public class BaseStudentGraduate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学生(xjr_user)
    */
    @ApiModelProperty("学生(xjr_user)")
    private Long userId;
    /**
    * 证书编号
    */
    @ApiModelProperty("证书编号")
    private String certificateNumber;
    /**
    * 发证日期
    */
    @ApiModelProperty("发证日期")
    private Date certificateDate;
    /**
    * 离寝日期(住读的学生才村)
    */
    @ApiModelProperty("离寝日期(住读的学生才村)")
    private Date leavingBedDate;
    /**
    * 附件id
    */
    @ApiModelProperty("附件id")
    private Long appendixId;
    /**
    * 证书发放状态（0:未发放 1:已发放）
    */
    @ApiModelProperty("证书发放状态（0:未发放 1:已发放）")
    private Integer status;


}