package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 学生处分信息管理
* @Author dzx
* @Date: 2023-11-15
* @Version 1.0
*/
@Data
@TableName("base_student_punishment_info")
@ApiModel(value = "学生处分信息管理对象", description = "学生处分信息管理")
public class BaseStudentPunishmentInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 处分类型id
    */
    @ApiModelProperty("处分类型id")
    private Long punishmentTypeId;
    /**
    * 处分开始日期
    */
    @ApiModelProperty("处分开始日期")
    private Date startTime;
    /**
    * 处分结束日期
    */
    @ApiModelProperty("处分结束日期")
    private Date endTime;
    /**
    * 是否公示(1:是 0:否)
    */
    @ApiModelProperty("是否公示(1:是 0:否)")
    private Integer isPublicity;
    /**
    * 发送处分(1:班主任 2:学生 3:家长)
    */
    @ApiModelProperty("发送处分(1:班主任 2:学生 3:家长)")
    private Integer pushMessageObject;
    /**
    * 处分原因
    */
    @ApiModelProperty("处分原因")
    private String reason;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;

    /**
    * basePunishmentStudentRelation
    */
    @ApiModelProperty("basePunishmentStudentRelation子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "punishmentInfoId")
    private List<BasePunishmentStudentRelation> basePunishmentStudentRelationList;

    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

}