package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 奖学金类别
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Data
@TableName("base_student_scholarship_category")
@ApiModel(value = "base_student_scholarship_category", description = "奖学金类别")
public class BaseStudentScholarshipCategory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 奖学金来源(xjr_dictionary_item[scholarship_source])
    */
    @ApiModelProperty("奖学金来源(xjr_dictionary_item[scholarship_source])")
    private String scholarshipSource;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 总金额
    */
    @ApiModelProperty("总金额")
    private Double totalAmount;
    /**
    * 奖学金等级 0=无等级
    */
    @ApiModelProperty("奖学金等级 0=无等级")
    private Integer scholarshipLevel;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

    /**
    * baseStudentScholarshipLevel
    */
    @ApiModelProperty("baseStudentScholarshipLevel子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "baseStudentScholarshipCategoryId")
    private List<BaseStudentScholarshipLevel> baseStudentScholarshipLevelList;

    @ApiModelProperty("奖助学金类型(xjr_dictionary_item[scholarship_category])")
    private String category;

    @ApiModelProperty("资助单位/个人")
    private String supportSource;

}