package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.BaseStudentCadrePageDto;
import com.xjrsoft.module.student.dto.UpdateBaseStudentCadreDto;
import com.xjrsoft.module.student.entity.BaseStudentCadre;
import com.xjrsoft.module.student.vo.BaseStudentCadrePageVo;
import com.xjrsoft.module.student.vo.BaseStudentCadreVo;

import java.util.List;

/**
* @title: 学生干部管理
* @Author dzx
* @Date: 2023-11-14
* @Version 1.0
*/

public interface IBaseStudentCadreService extends MPJBaseService<BaseStudentCadre> {

    IPage<BaseStudentCadrePageVo> getListPage(BaseStudentCadrePageDto dto);

    /**
     * 批量新增
     *
     * @param baseStudentCadreList
     * @return
     */
    Boolean addAll(List<BaseStudentCadre> baseStudentCadreList);

    /**
     * 单个新增
     *
     * @param baseStudentCadre
     * @return
     */
    Boolean addOne(BaseStudentCadre baseStudentCadre);

    /**
     * 修改学生干部状态（离职、复职）移动端
     * @param dto
     * @return
     */
    Boolean editMobileStatus(UpdateBaseStudentCadreDto dto);

    BaseStudentCadreVo getOneById(Long id);

}
