package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.BaseStudentInfoDetailDto;
import com.xjrsoft.module.student.dto.BaseStudentInfoPageDto;
import com.xjrsoft.module.student.dto.BaseStudentSimpleInfoDto;
import com.xjrsoft.module.student.dto.UpdateBaseStudentInfoDto;
import com.xjrsoft.module.student.entity.BaseStudentSchoolRoll;
import com.xjrsoft.module.student.vo.BaseStudentInfoDetailVo;
import com.xjrsoft.module.student.vo.BaseStudentInfoPageDataVo;
import com.xjrsoft.module.student.vo.BaseStudentInfoPageVo;
import com.xjrsoft.module.student.vo.BaseStudentSompleInfoVo;
import com.xjrsoft.module.student.vo.MobileClassStatisticsVo;

import java.util.List;

/**
* @title: 奖学金申请
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/

public interface IBaseStudentSchoolRollService extends MPJBaseService<BaseStudentSchoolRoll> {

    Page<BaseStudentInfoPageVo> getMobilePage(Page<BaseStudentInfoPageVo> page, BaseStudentInfoPageDto dto);

    /**
     * 移动端查询学生信息列表
     * @param dto
     * @return
     */
    Boolean updateInfo(UpdateBaseStudentInfoDto dto);

    /**
     * 移动端查询学生详情信息
     * @return
     */
    BaseStudentInfoDetailVo getInfoById(BaseStudentInfoDetailDto dto);

    /**
     * 统计学生信息
     * @param dto
     * @return
     */
    BaseStudentInfoPageDataVo getMobilePageStatistics(BaseStudentInfoPageDto dto);

    MobileClassStatisticsVo getMobileClassStatistics(BaseStudentInfoPageDto dto);

    Boolean updateStudentClass(Long classId, Long userId);

    List<BaseStudentSompleInfoVo> getInfosByParam(BaseStudentSimpleInfoDto dto);

    String getClassNameByUserId(Long userId);
}
