package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.attendance.dto.AttendanceStatisticDto;
import com.xjrsoft.module.student.dto.StudentLeavePageDto;
import com.xjrsoft.module.student.entity.StudentLeave;
import com.xjrsoft.module.student.vo.StudentLeavePageVo;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.Map;

/**
* @title: 学生荣誉
* @Author dzx
* @Date: 2023-12-05
* @Version 1.0
*/

public interface IStudentLeaveService extends MPJBaseService<StudentLeave> {

    Boolean hikvisionLeave(Long id);

    Long getLeaveCount(LocalDateTime startTime, LocalDateTime endTime, AttendanceStatisticDto dto);

    Map<Long, Integer> getClassLeaveCount(LocalDateTime startTime, LocalDateTime endTime);


    Map<Long, StudentLeave> getLeaveList(@Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);

    Page<StudentLeavePageVo> getLeavePage(Page<StudentLeavePageVo> page, StudentLeavePageDto dto);

    Boolean noticeParents(Long id);
}
