package com.xjrsoft.module.student.service.impl;

import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.student.dto.BaseStudentUserPageDto;
import com.xjrsoft.module.student.entity.BaseStudent;
import com.xjrsoft.module.student.mapper.BaseStudentMapper;
import com.xjrsoft.module.student.service.IBaseStudentService;
import com.xjrsoft.module.student.vo.BaseStudentUserPageVo;
import com.xjrsoft.module.student.vo.StudentPersonalInfoVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @title: 助学金申请
* @Author dzx
* @Date: 2023-11-24
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class BaseStudentServiceImpl extends MPJBaseServiceImpl<BaseStudentMapper, BaseStudent> implements IBaseStudentService {
    private final BaseStudentMapper studentMapper;

    @Override
    public StudentPersonalInfoVo getPersonalInfo(Long userId){
        return studentMapper.getPersonalInfo(userId);
    }

    @Override
    public List<BaseStudentUserPageVo> getStudentList(BaseStudentUserPageDto dto) {
        return this.baseMapper.getStudentList(dto);
    }

    ;
}
