package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生操行分考核项目表单出参
* @Author fanxp
* @Date: 2023-11-15
* @Version 1.0
*/
@Data
public class BaseStudentBehaviorProjectVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学生考核类别编号(base_student_behavior_category)
    */
    @ApiModelProperty("学生考核类别编号(base_student_behavior_category)")
    private Long baseStudentBehaviorCategoryId;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 编码
    */
    @ApiModelProperty("编码")
    private String code;
    /**
    * 考核类型(xjr_dictionary_item[score_type])
    */
    @ApiModelProperty("考核类型(xjr_dictionary_item[score_type])")
    private String scoreType;
    /**
    * 分值
    */
    @ApiModelProperty("分值")
    private Double score;
    /**
    * 是否允许调整(1:是 0:否)
    */
    @ApiModelProperty("是否允许调整(1:是 0:否)")
    private Integer isAdjustment;
    /**
    * 扣分范围（最小）
    */
    @ApiModelProperty("扣分范围（最小）")
    private Double pointsDeductedMin;
    /**
    * 扣分范围（最大）
    */
    @ApiModelProperty("扣分范围（最大）")
    private Double pointsDeductedMax;
    /**
    * 是否影响班级考核(1:是 0:否)
    */
    @ApiModelProperty("是否影响班级考核(1:是 0:否)")
    private Integer isImpactAssessment;
    /**
    * 换算方式(1:手动换算 2:自动换算)
    */
    @ApiModelProperty("换算方式(1:手动换算 2:自动换算)")
    private Integer conversionMethod;
    /**
    * 是否启用(1:是 0:否)
    */
    @ApiModelProperty("是否启用(1:是 0:否)")
    private Integer status;
    /**
    * 班级考核项目编号（base_student_assessment_project）
    */
    @ApiModelProperty("班级考核项目编号（base_student_assessment_project）")
    private Long baseStudentAssessmentProjectId;
    /**
    * 自动换算考核类型(xjr_dictionary_item[score_type])
    */
    @ApiModelProperty("自动换算考核类型(xjr_dictionary_item[score_type])")
    private String automaticScoreType;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;



}
