package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 助学金申请分页列表出参
* @Author dzx
* @Date: 2023-11-24
* @Version 1.0
*/
@Data
public class BaseStudentBursariesApplicantPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 助学金项目ID(base_student_bursaries_project)
    */
    @ApiModelProperty("助学金项目ID(base_student_bursaries_project)")
    private Long baseStudentBursariesProjectId;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 班级编号
    */
    @ApiModelProperty("班级编号")
    private Long classId;
    /**
    * 文件ID(xjr_file)
    */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

    /**
     * 学生id
     */
    @ApiModelProperty("学生id")
    private Long userId;
    /**
     * 年级名称
     */
    @ApiModelProperty("年级名称")
    private String gradeName;
    /**
     * 班级名称
     */
    @ApiModelProperty("班级名称")
    private String className;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentId;
    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String genderName;
    /**
     * 招生类型名称
     */
    @ApiModelProperty("招生类型名称")
    private String enrollTypeCn;
    /**
     * 在读专业
     */
    @ApiModelProperty("在读专业")
    private String majorName;
    /**
     * 收款银行(xjr_dictionary_item[bank_type])
     */
    @ApiModelProperty("收款银行(xjr_dictionary_item[bank_type])")
    private String bankType;
    /**
     * 银行卡号
     */
    @ApiModelProperty("银行卡号")
    private String bankNo;
    /**
     * 申请金额
     */
    @ApiModelProperty("申请金额")
    private Double applicantAmount;

    /**
     * 银行类别
     */
    @ApiModelProperty("银行卡类别-中文")
    private String bankTypeCn;

}
