package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 学生去向登记分页列表出参
* @Author dzx
* @Date: 2024-08-04
* @Version 1.0
*/
@Data
public class BaseStudentDevelopmentPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 学生id(xjr_user)
    */
    @ApiModelProperty("学生id(xjr_user)")
    private Long userId;
    /**
    * 登记类型(1:升学 2:就业 3:未就业)
    */
    @ApiModelProperty("登记类型(1:升学 2:就业 3:未就业)")
    private Integer enrollType;
    /**
    * 毕业id(base_student_graduate)
    */
    @ApiModelProperty("毕业id(base_student_graduate)")
    private Long baseStudentGraduateId;
    /**
    * 是否自己创业(1:是 0:否)
    */
    @ApiModelProperty("是否自己创业(1:是 0:否)")
    private Integer isEntrepreneurship;
    /**
    * 创业项目名称
    */
    @ApiModelProperty("创业项目名称")
    private String entrepreneurialProject;
    /**
    * 是否灵活就业(1:是 0:否)
    */
    @ApiModelProperty("是否灵活就业(1:是 0:否)")
    private Integer isFlexibleWork;
    /**
    * 是否灵活就业(1:是 0:否)
    */
    @ApiModelProperty("工作内容")
    private String workContent;
    /**
    * 是否校企合作单位(1:是 0:否)
    */
    @ApiModelProperty("是否校企合作单位(1:是 0:否)")
    private Integer isCompanyCoop;
    /**
    * 企合作单位(company_coop)，是校企合作单位
    */
    @ApiModelProperty("企合作单位(company_coop)，是校企合作单位")
    private Integer companyCoopId;
    /**
    * 就业单位名称(非校企合作单位)
    */
    @ApiModelProperty("就业单位名称(非校企合作单位)")
    private String workCompany;
    /**
    * 就业单位行业
    */
    @ApiModelProperty("就业单位行业")
    private String companyIndustry;
    /**
    * 就业单位性质
    */
    @ApiModelProperty("就业单位性质")
    private String companyNature;
    /**
    * 就业单位规模(xjr_dictionary_item[company_scale])
    */
    @ApiModelProperty("就业单位规模(xjr_dictionary_item[company_scale])")
    private String companyScale;
    /**
    * 是否对口(1:是 0:否)
    */
    @ApiModelProperty("是否对口(1:是 0:否)")
    private Integer isMatching;
    /**
    * 最低薪资
    */
    @ApiModelProperty("最低薪资")
    private Double money;
    /**
    * 就业日期
    */
    @ApiModelProperty("就业日期")
    private Date workDate;
    /**
    * 就业所在地区
    */
    @ApiModelProperty("就业所在地区")
    private String workCity;
    /**
    * 学生类型(xjr_dictionary_item[culture_type])
    */
    @ApiModelProperty("学生类型(xjr_dictionary_item[culture_type])")
    private String cultureType;
    /**
    * 升学渠道(xjr_dictionary_item[ascending_channels])
    */
    @ApiModelProperty("升学渠道(xjr_dictionary_item[ascending_channels])")
    private String ascendingChannels;
    /**
    * 学校名称
    */
    @ApiModelProperty("学校名称")
    private String school;
    /**
    * 录取专业
    */
    @ApiModelProperty("录取专业")
    private String admissionMajor;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Integer score;
    /**
    * 升学层次(xjr_dictionary_item[ascending_arrangement])
    */
    @ApiModelProperty("升学层次(xjr_dictionary_item[ascending_arrangement])")
    private String ascendingArrangement;
    /**
    * 未就业类型(xjr_dictionary_item[unemployed_type])
    */
    @ApiModelProperty("未就业类型(xjr_dictionary_item[unemployed_type])")
    private String unemployedType;
    /**
    * 备注信息
    */
    @ApiModelProperty("备注信息")
    private String remark;

}
