package com.xjrsoft.module.student.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
* @title: 干部部门树列表出参
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Data
public class CadreDeptTreeVo implements ITreeNode<CadreDeptTreeVo,Long>, Serializable {
    private static final long serialVersionUID = 1L;
    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 机构名称
    */
    @ApiModelProperty("机构名称")
    private String name;
    /**
    * 部门上级编号
    */
    @ApiModelProperty("部门上级编号")
    private Long parentId;
    /**
     * 部门指导教师用户编号
     */
    @ApiModelProperty("部门指导教师用户编号")
    private Long instructorUserId;
    /**
     * 部门指导教师用户姓名
     */
    @ApiModelProperty("部门指导教师用户姓名")
    private String instructorUserIdCN;
    /**
    * 编码
    */
    @ApiModelProperty("编码")
    private String code;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

    private List<CadreDeptTreeVo> children;
}
