package com.xjrsoft.module.student.vo;

import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 班级荣誉表单出参
* @Author szs
* @Date: 2023-12-06
* @Version 1.0
*/
@Data
public class ClassHonorsVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
     * 学期ID中文(base_semester)
     */
    @ApiModelProperty("学期ID中文(base_semester)")
    private String baseSemesterIdCN;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
     * 班级id中文
     */
    @ApiModelProperty("班级id中文")
    private String classIdCN;
    /**
    * 荣誉级别(xjr_dictionary_item[honors_level])
    */
    @ApiModelProperty("荣誉级别(xjr_dictionary_item[honors_level])")
    private String honorsLevel;
    /**
     * 荣誉级别中文(xjr_dictionary_item[honors_level])
     */
    @ApiModelProperty("荣誉级别中文(xjr_dictionary_item[honors_level])")
    private String honorsLevelCN;
    /**
    * 荣誉等级(xjr_dictionary_item[honors_grade])
    */
    @ApiModelProperty("荣誉等级(xjr_dictionary_item[honors_grade])")
    private String honorsGrade;
    /**
     * 荣誉等级中文(xjr_dictionary_item[honors_grade])
     */
    @ApiModelProperty("荣誉等级中文(xjr_dictionary_item[honors_grade])")
    private String honorsGradeCN;
    /**
    * 荣誉名称
    */
    @ApiModelProperty("荣誉名称")
    private String name;
    /**
    * 获奖日期
    */
    @ApiModelProperty("获奖日期")
    private Date awardDate;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;
    /**
     * 该处分信息下的文件集合
     */
    @ApiModelProperty("文件集合")
    private List<File> fileList;
}
