package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ClassStudentStatisticsInfoVo {
    /**
     * 报名人数
     */
    @ApiModelProperty("报名人数")
    private Integer registrationPopulation;
    /**
     * 缴费人数
     */
    @ApiModelProperty("缴费人数")
    private Integer payers;
    /**
     * 入账金额
     */
    @ApiModelProperty("入账金额")
    private BigDecimal recordedAmountOfMoney;
    /**
     * 专业人数
     */
    @ApiModelProperty("专业人数")
    private List<EnrollmentStatisticsInfoKeyValue> professionalHeadCount;
    /**
     * 学生来源
     */
    @ApiModelProperty("学生来源")
    private List<EnrollmentStatisticsInfoKeyValue> studentSource;
    /**
     * 住宿类型
     */
    @ApiModelProperty("住宿类型")
    private List<EnrollmentStatisticsInfoKeyValue> accommodationType;
    /**
     * 毕业院校
     */
    @ApiModelProperty("毕业院校")
    private List<EnrollmentStatisticsInfoKeyValue> graduationList;
    /**
     * 每日招生人数
     */
    @ApiModelProperty("每日招生人数")
    private List<EnrollmentStatisticsInfoKeyValue> cratetimeList;
    /**
     * 收费情况
     */
    @ApiModelProperty("收费情况")
    private List<ChargingSituationVo> chargingSituationVoList;
    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private List<EnrollmentStatisticsInfoKeyValue> gender;
}
