package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 班级统计出参
* @Author szs
* @Date: 2024年04月02日
* @Version 1.0
*/
@Data
public class MobileClassStatisticsVo {


    @ApiModelProperty("主键编号")
    private Long classId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("总人数")
    private Integer headcount;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("学生姓名")
    private String studentName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("学号")
    private String studentId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("本人电话")
    private String phone;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("监护人电话")
    private String guardianPhone;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班主任名称")
    private String teacherName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班主任电话")
    private String teacherPhone;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级名称")
    private String className;

    /**
     * 学习形式
     */
    @ApiModelProperty("学习形式")
    private String rollModality;
    /**
     * 学习形式
     */
    @ApiModelProperty("学习形式")
    private String rollModalityCode;
    /**
     * 学籍状态(xjr_dictionary_item[archives_status])
     */
    @ApiModelProperty("学籍状态(xjr_dictionary_item[archives_status])")
    private String archivesStatus;
    /**
     * 学籍状态(xjr_dictionary_item[archives_status])
     */
    @ApiModelProperty("学籍状态(xjr_dictionary_item[archives_status])")
    private String archivesStatusCode;
    /**
     * 就读方式(xjr_dictionary_item[stduy_status])
     */
    @ApiModelProperty("就读方式(xjr_dictionary_item[stduy_status])")
    private String stduyStatus;

    /**
     * 就读方式(xjr_dictionary_item[stduy_status])
     */
    @ApiModelProperty("就读方式(xjr_dictionary_item[stduy_status])")
    private String stduyStatusCode;

    @ApiModelProperty("床位信息")
    private String bedInfo;

    @ApiModelProperty("头像")
    private String avatar;

    @ApiModelProperty("出生日期")
    private Date birthDate;

    @ApiModelProperty("民族")
    private String nation;

    private String majorSetName;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String gender;

    /**
     * 性别中文
     */
    @ApiModelProperty("性别中文")
    private String genderCn;
}
