package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
* @title: 招生计划维护表单出参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class PreviewEnrollmentPlanVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 计划名称
    */
    @ApiModelProperty("计划名称")
    private String name;
    /**
     * 招生类型(xjr_dictionary_detail[enroll_type])
     */
    @ApiModelProperty("招生类型(xjr_dictionary_detail[enroll_type])")
    private String enrollTypeCn;
    /**
     * 招生年级（base_grade）
     */
    @ApiModelProperty("招生年级（base_grade）")
    private String gradeIdCn;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private LocalDate startDate;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private LocalDate endDate;
    /**
     * 总计划招生人数
     */
    @ApiModelProperty("总计划招生人数")
    private Integer enrollmentStuNum;
    /**
     * 计划列表
     */
    @ApiModelProperty("计划列表")
    private List<PreviewEnrollmentPlanListVo> previewEnrollmentPlanListVoList;

}
