package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学籍异动学生表单出参
* @Author dzx
* @Date: 2023-11-30
* @Version 1.0
*/
@Data
public class SchoolRollStudentVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("证件号")
    private String credentialNumber;

    @ApiModelProperty("异动类型")
    private String scholarshipSourceCn;

    @ApiModelProperty("是否保留学籍")
    private Integer isRetain;

    @ApiModelProperty("申请人")
    private String applicantUserName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("申请时间")
    private String createDate;

    @ApiModelProperty("是否记录到档案")
    private Integer isRecord;

    @ApiModelProperty("休学年限")
    private String leaveYear;


    @ApiModelProperty("是否给予肄业")
    private Integer isUnderGraduate;


    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("异动前行政班")
    private String beforeClassName;

    @ApiModelProperty("异动前年级")
    private String beforeGradeName;

    @ApiModelProperty("异动前专业方向")
    private String beforeMajorSetName;

    @ApiModelProperty("异动前组织机构")
    private String beforeDepartmentName;

    @ApiModelProperty("异动后行政班")
    private String backClassName;

    @ApiModelProperty("异动后年级")
    private String backGradeName;

    @ApiModelProperty("异动后专业方向")
    private String backMajorSetName;

    @ApiModelProperty("异动后组织机构")
    private String backDepartmentName;

    @ApiModelProperty("异动原因")
    private String reason;

    @ApiModelProperty("入班日期")
    private String inClassDate;

    @ApiModelProperty("离班日期")
    private String outClassDate;

    @ApiModelProperty("休学时段(开始时间)")
    private String leaveStartYear;

    @ApiModelProperty("休学时段(结束时间)")
    private String leaveEndYear;

    @ApiModelProperty("是否已经维护到国家/省学籍系统(0:未维护 1:已维护 2:无需维护)")
    private Integer isMaintained;
}
