package com.xjrsoft.module.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;


/**
* @title: 微信消息发送记录
* @Author dzx
* @Date: 2024年6月11日
* @Version 1.0
*/
@Data
@TableName("wechat_message_log")
@ApiModel(value = "微信消息发送记录对象", description = "微信消息发送记录")
public class WechatMessageLog implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty("主键编号")
    @TableId
    private Long id;

    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;

    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;

    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;

    @ApiModelProperty("序号")
    private Integer sortCode;

    @ApiModelProperty("发送模板id")
    private String templateId;

    @ApiModelProperty("发送时间")
    private LocalDateTime sendTime;

    @ApiModelProperty("发送内容")
    private String content;


}