package com.xjrsoft.module.teacher.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalTime;
import java.util.Date;



/**
* @title: 考勤-记录
* @Author szs
* @Date: 2023-12-18
* @Version 1.0
*/
@Data
public class AddAttendanceRecordDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 用户编号
    */
    @ApiModelProperty("用户编号")
    private Long userId;
    /**
    * 考勤时间
    */
    @ApiModelProperty("考勤时间")
    private LocalTime attendanceTime;
    /**
    * 打卡时间
    */
    @ApiModelProperty("打卡时间")
    private Date checkTime;
    /**
    * 考勤节点(xjr_dictionary_item[attendance_node])
    */
    @ApiModelProperty("考勤节点(xjr_dictionary_item[attendance_node])")
    private String leaveReason;
    /**
    * 地点
    */
    @ApiModelProperty("地点")
    private String address;
    /**
    * 纬度
    */
    @ApiModelProperty("纬度")
    private Double longitude;
    /**
    * 纬度
    */
    @ApiModelProperty("纬度")
    private Double latitude;
    /**
    * 状态（1:正常 2:迟到）
    */
    @ApiModelProperty("状态（1:正常 2:迟到）")
    private Integer status;

}
