package com.xjrsoft.module.teacher.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 教职工基本信息管理
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
public class UpdateBaseTeacherEmployDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 用户ID(xjr_user)
    */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
    * 岗位类型 (1:校内主岗 2:校内兼职岗位 3:事业制单位主岗)
    */
    @ApiModelProperty("岗位类型 (1:校内主岗 2:校内兼职岗位 3:事业制单位主岗)")
    private Integer type;
    /**
    * 校内主岗位类别(xjr_dictionary_item[school_job_type])
    */
    @ApiModelProperty("校内主岗位类别(xjr_dictionary_item[school_job_type])")
    private String jobCategory;
    /**
    * 校内主岗位(xjr_dictionary_item[school_job_type])上级校内主岗位类别
    */
    @ApiModelProperty("校内主岗位(xjr_dictionary_item[school_job_type])上级校内主岗位类别")
    private String jobPost;
    /**
    * 岗位等级(xjr_dictionary_item[school_job_level])
    */
    @ApiModelProperty("岗位等级(xjr_dictionary_item[school_job_level])")
    private String jobLevel;
    /**
    * 岗位等级类型(xjr_dictionary_item[school_job_level_type])
    */
    @ApiModelProperty("岗位等级类型(xjr_dictionary_item[school_job_level_type])")
    private String jobLevelType;

}
