package com.xjrsoft.module.teacher.dto;

import com.alibaba.fastjson.JSONArray;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;



/**
* @title: 教职工基本信息管理
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
public class UpdateBaseTeacherRegularDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 用户ID(xjr_user)
    */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
    * 教师资格证种类(xjr_dictionary_item[certificate_Type])
    */
    @ApiModelProperty("教师资格证种类(xjr_dictionary_item[certificate_Type])")
    private String certificateType;
    /**
    * 所属系统(xjr_dictionary_item[belong_org])
    */
    @ApiModelProperty("所属系统(xjr_dictionary_item[belong_org])")
    private String belongOrg;
    /**
    * 普通话等级(xjr_dictionary_item[mandarin_level])
    */
    @ApiModelProperty("普通话等级(xjr_dictionary_item[mandarin_level])")
    private String mandarinLevel;
    /**
    * 从教起始年月
    */
    @ApiModelProperty("从教起始年月")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTeachTime;
    /**
    * 任课状况(xjr_dictionary_item[teaching_status])多选
    */
    @ApiModelProperty("任课状况(xjr_dictionary_item[teaching_status])多选")
    private JSONArray teachingStatus;
    /**
    * 任教学科类别(base_major_categor)
    */
    @ApiModelProperty("任教学科类别(base_major_categor)")
    private Long majorCategorId;
    /**
    * 是否双师型教师
    */
    @ApiModelProperty("是否双师型教师")
    private Integer isDoubleTeacher;
    /**
    * 任教学科(base_course_subject)
    */
    @ApiModelProperty("任教学科(base_course_subject)")
    private Long courseSubjectId;

}
