package com.xjrsoft.module.teacher.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalTime;
import java.util.Date;


/**
* @title: 考勤-记录
* @Author szs
* @Date: 2023-12-18
* @Version 1.0
*/
@Data
@TableName("attendance_record")
@ApiModel(value = "attendance_record", description = "考勤-记录")
public class AttendanceRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 用户编号
    */
    @ApiModelProperty("用户编号")
    private Long userId;
    /**
    * 考勤时间
    */
    @ApiModelProperty("考勤时间")
    private LocalTime attendanceTime;
    /**
    * 打卡时间
    */
    @ApiModelProperty("打卡时间")
    private Date checkTime;
    /**
    * 考勤节点(xjr_dictionary_item[attendance_node])
    */
    @ApiModelProperty("考勤节点(xjr_dictionary_item[attendance_node])")
    private String leaveReason;
    /**
    * 地点
    */
    @ApiModelProperty("地点")
    private String address;
    /**
    * 纬度
    */
    @ApiModelProperty("纬度")
    private Double longitude;
    /**
    * 纬度
    */
    @ApiModelProperty("纬度")
    private Double latitude;
    /**
     * 打卡距离（米）
     */
    @ApiModelProperty("打卡距离（米）")
    private Double distance;
    /**
    * 状态（1:正常 2:迟到）
    */
    @ApiModelProperty("状态（1:正常 2:迟到）")
    private Integer status;


}