package com.xjrsoft.module.teacher.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;


/**
* @title: 教职工基本信息管理
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
@TableName("base_teacher_family_member")
@ApiModel(value = "教职工基本信息管理对象", description = "教职工基本信息管理")
public class BaseTeacherFamilyMember implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 用户ID(xjr_user)
    */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
    * 与本人关系(xjr_dictionary_item[relationship])
    */
    @ApiModelProperty("与本人关系(xjr_dictionary_item[relationship])")
    private String relationship;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别(xjr_dictionary_item[gender])
    */
    @ApiModelProperty("性别(xjr_dictionary_item[gender])")
    private String gender;
    /**
    * 是否为监护人
    */
    @ApiModelProperty("是否为监护人")
    private Integer isGuardian;
    /**
    * 出生日期
    */
    @ApiModelProperty("出生日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date dayOfBirth;
    /**
    * 政治面貌(xjr_dictionary_item[political_state])
    */
    @ApiModelProperty("政治面貌(xjr_dictionary_item[political_state])")
    private String politicalState;
    /**
    * 职业
    */
    @ApiModelProperty("职业")
    private String occupation;
    /**
    * 工作单位
    */
    @ApiModelProperty("工作单位")
    private String workUnit;
    /**
    * 联系电话
    */
    @ApiModelProperty("联系电话")
    private String mobile;


}