package com.xjrsoft.module.textbook.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class TextbookImportDto {
    /**
     * 国际标准刊号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书号（ISSN）")
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
     * 书名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书名")
    @ApiModelProperty("书名")
    private String bookName;
    /**
     * 出版社
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出版社")
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
     * 主编
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("作者（主编）")
    @ApiModelProperty("主编")
    private String editorInChief;
    /**
     * 版本
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("版次")
    @ApiModelProperty("版本")
    private String version;
    /**
     * 是否为规划教材
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("规划教材（是或否）")
    @ApiModelProperty("是否为规划教材")
    private String isTextbookPlanCn;
    /**
     * 使用类型(单位：学期)
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用类型(一学期~六学期）")
    @ApiModelProperty("使用类型(单位：学期)")
    private String useTypeCn;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("类型（教材、辅材、作业本）")
    @ApiModelProperty("教材类型-中文")
    private String textbookTypeCn;
    /**
     * 定价(元)
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("定价（元）")
    @ApiModelProperty("定价(元)")
    private BigDecimal price;
    /**
     * 折扣
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("折扣（折）")
    @ApiModelProperty("折扣")
    private Double discount;
    /**
     * 学科组名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学科组（必须是系统中已有的学科组名称）")
    @ApiModelProperty("学科组名称")
    private String groupName;
    /**
     * 课程
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("对应课程（必须是系统中已有的课程名称）")
    @ApiModelProperty("对应课程")
    private String courseName;
}
