package com.xjrsoft.module.textbook.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.Valid;
import javax.validation.constraints.Pattern;
import java.math.BigDecimal;

@Data
public class TextbookInstockroomImportDto {
    /**
     * 国际标准刊号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书号（ISSN）")
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
     * 本次入库数量
     */
    @Pattern(regexp = "\\d+",message = "本次入库数量必须为数字！")
    @Range(min = 0, message = "本次入库数量不能小于0")
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("本次入库数量")
    @ApiModelProperty("本次入库数量")
    private Integer inNum;
}
