package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 教材教辅征订项表单出参
* @Author szs
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class TextbookSubscriptionExportQueryListVo {

    /**
     * 课程
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("课程名称")
    @ApiModelProperty("课程")
    private String courseName;
    /**
     * 书名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教材书名")
    @ApiModelProperty("书名")
    private String bookName;
    /**
     * 国际标准刊号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书号（ISSN）")
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
     * 出版社
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出版社")
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
     * 主编
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("作者（主编）")
    @ApiModelProperty("主编")
    private String editorInChief;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("类型")
    @ApiModelProperty("教材类型")
    private String textbookTypeCn;

    /**
     * 学生用书征订数量
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生用书征订数量")
    @ApiModelProperty("学生用书征订数量")
    private Integer studentSubscriptionNumber;
    /**
     * 教师教材征订数量
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教师教材征订数量")
    @ApiModelProperty("教师教材征订数量")
    private Integer teacherSubscriptionNumber;
    /**
     * 使用班级数
     */
    @ContentStyle(dataFormat = 49)
    @ExcelIgnore
    @ApiModelProperty("使用班级")
    private String classIds;
    /**
     * 使用班级数
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用班级数量")
    @ApiModelProperty("使用班级数")
    private Integer classNum;
    /**
     * 教师教材征订数量
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("征订总数量")
    @ApiModelProperty("征订总数量")
    private Integer subscriptionSum;
    /**
     * 已入库数量
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("已入库数量")
    @ApiModelProperty("已入库数量")
    private Integer inStockroomNum;
    /**
     * 本次入库数量
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("本次入库数量")
    @ApiModelProperty("本次入库数量")
    private Integer inNum;
}
