package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 教材教辅征订记录表单出参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TextbookSubscriptionRecordVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("征订时间")
    private Date createDate;
    /**
    * 序号
    */
    @ApiModelProperty("征订人")
    private String applicantUser;

    /**
     * 国际标准刊号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("国际标准刊号")
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
     * 书名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书名")
    @ApiModelProperty("书名")
    private String bookName;
    /**
     * 出版社
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出版社")
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
     * 主编
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主编")
    @ApiModelProperty("主编")
    private String editorInChief;

    /**
     * 是否为规划教材
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("是否为规划教材")
    @ApiModelProperty("是否为规划教材")
    private String isTextbookPlanCn;

    /**
     * 估价(元)
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("估价(元)")
    @ApiModelProperty("估价(元)")
    private BigDecimal appraisalPrice;

    /**
     * 使用班级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用班级")
    @ApiModelProperty("使用班级")
    private String useClass;

    /**
     * 课程
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("对应课程")
    @ApiModelProperty("对应课程")
    private String courseName;

    /**
     * 学科组管理编号(subject_group)
     */
    @ApiModelProperty("学科组管理编号(subject_group)")
    private Long subjectGroupId;
    /**
     * 学科组管理编号(subject_group)
     */
    @ApiModelProperty("学科组管理编号(subject_group)")
    private String subjectGroupIdCN;
    /**
     * 使用年级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用年级")
    @ApiModelProperty("使用年级")
    private String gradeName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有无配套教学资源")
    @ApiModelProperty("有无配套教学资源")
    private String isSupportResourcesCn;


    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生用书征订数量")
    @ApiModelProperty("学生用书征订数量")
    private Integer studentSubscriptionNumber;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教师教材用书征订数量")
    @ApiModelProperty("教师教材用书征订数量")
    private Integer teacherSubscriptionNumber;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教师教参用书征订数量")
    @ApiModelProperty("教师教参用书征订数量")
    private Integer teacherReferenceNumber;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级id")
    @ApiModelProperty("班级id")
    private String classIds;

}
