package com.xjrsoft.module.textbook.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 教材教辅征订项变更历史分页列表出参
* @Author phoenix
* @Date: 2024-06-20
* @Version 1.0
*/
@Data
public class WfTextbookSubscriptionItemHistoryPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private String createUserIdCn;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 教材教辅征订项编号
    */
    @ApiModelProperty("教材教辅征订项编号")
    private Long wfTextbookSubscriptionItemId;
    /**
    * 教材教辅征订编号
    */
    @ApiModelProperty("教材教辅征订编号")
    private Long wfTextbookSubscriptionId;
    /**
    * 征订类型(xjr_dictionary_item[subscription_type])
    */
    @ApiModelProperty("征订类型(xjr_dictionary_item[subscription_type])")
    private String subscriptionType;
    /**
    * 国际标准刊号
    */
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
    * 国际标准书号
    */
    @ApiModelProperty("国际标准书号")
    private String isbn;
    /**
    * 书名
    */
    @ApiModelProperty("书名")
    private String bookName;
    /**
    * 出版社
    */
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
    * 主编
    */
    @ApiModelProperty("主编")
    private String editorInChief;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookType;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookTypeCn;
    /**
    * 估价(元)
    */
    @ApiModelProperty("估价(元)")
    private BigDecimal appraisalPrice;
    /**
    * 是否为规划教材(xjr_dictionary_item[judgment_method_1])
    */
    @ApiModelProperty("是否为规划教材(xjr_dictionary_item[judgment_method_1])")
    private String isTextbookPlan;
    /**
    * 课程编号(base_course_subject)
    */
    @ApiModelProperty("课程编号(base_course_subject)")
    private Long courseSubjectId;
    /**
     * 课程编号(base_course_subject)
     */
    @ApiModelProperty("课程编号(base_course_subject)")
    private String courseName;
    /**
    * 班级编号(多个)
    */
    @ApiModelProperty("班级编号(多个)")
    private String classIds;
    /**
    * 学生用书征订数量
    */
    @ApiModelProperty("学生用书征订数量")
    private Integer studentSubscriptionNumber;
    /**
    * 教师教材征订数量
    */
    @ApiModelProperty("教师教材征订数量")
    private Integer teacherSubscriptionNumber;
    /**
    * 教师教参用书征订数量
    */
    @ApiModelProperty("教师教参用书征订数量")
    private Integer teacherReferenceNumber;
    /**
    * 是否有配套教学资源(xjr_dictionary_item[judgment_method_1])
    */
    @ApiModelProperty("是否有配套教学资源(xjr_dictionary_item[judgment_method_1])")
    private String isSupportResources;
    /**
    * 版本
    */
    @ApiModelProperty("版本")
    private String version;
    /**
    * 教材id
    */
    @ApiModelProperty("教材id")
    private Long textbookId;
    /**
    * 当前征订任务征订项已经入库数量
    */
    @ApiModelProperty("当前征订任务征订项已经入库数量")
    private Integer inStockroomNum;
    /**
    * 变更类型（0：未变更，1：变更征订数量，2：变更课程）
    */
    @ApiModelProperty("变更类型（0：未变更，1：变更征订数量，2：变更课程）")
    private Integer alterationType;
    /**
    * 当前征订任务征订项已经入库数量
    */
    @ApiModelProperty("当前征订任务征订项已经入库数量")
    private Integer historyVersion;

}
