package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 教材教辅征订表单出参
* @Author szs
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class WfTextbookSubscriptionVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 所在部门编号
    */
    @ApiModelProperty("所在部门编号")
    private Long deptId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 学科组管理编号(subject_group)
    */
    @ApiModelProperty("学科组管理编号(subject_group)")
    private Long subjectGroupId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
     * 状态（1:结束 0:未结束）
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态（1:待发起 2:征订中 3:待入库 4:已入库）")
    @ApiModelProperty("状态（1:待发起 2:征订中 3:待入库 4:已入库）")
    private Integer status;

    /**
     * 征订方式（1:结束 2:未结束）
     */
    @ApiModelProperty("征订方式（1:按班级征订 2:按教材征订）")
    private Integer subscriptionMethod;

    /**
     * 学生用书征订数量
     */
    @ApiModelProperty("学生用书征订总数量")
    private Integer studentSubscriptionNumberSum;
    /**
     * 教师教材征订数量
     */
    @ApiModelProperty("教师教材征订总数量")
    private Integer teacherSubscriptionNumberSum;
    /**
     * 教师教材征订数量
     */
    @ApiModelProperty("总数量")
    private Integer sum;
    /**
     * 班级编号(多个)
     */
    @ApiModelProperty("班级编号(多个)")
    private String classIds;
    /**
     * 班级编号(多个)
     */
    @ApiModelProperty("班级编号(多个)")
    private String classIdsCn;
    /**
    * wfTextbookSubscriptionItem
    */
    @ApiModelProperty("wfTextbookSubscriptionItem子表")
    private List<WfTextbookSubscriptionItemVo> wfTextbookSubscriptionItemList;

}
