package com.xjrsoft.module.weekly.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.alibaba.excel.enums.poi.FillPatternTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 值周排班分页列表出参
* @Author dzx
* @Date: 2023-12-30
* @Version 1.0
*/
@Data
@HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 40)
public class WeeklyDutyScheduleListVo {

    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;

    /**
    * 学号/工号
    */
    @ColumnWidth(20)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("工号")
    @ApiModelProperty("工号")
    private String userNumber;
    /**
    * 姓名
    */
    @ColumnWidth(15)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("姓名")
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别
    */
    @ColumnWidth(15)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String gender;
    /**
     * 出生日期
     */
    @ColumnWidth(20)
    @HeadFontStyle(color = 9)
    @ApiModelProperty("出生日期")
    @ExcelProperty("出生日期")
    private String dateBirth;
    /**
    * 证件号码
    */
    @ColumnWidth(20)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 200)
    @ExcelProperty("证件号码")
    @ApiModelProperty("证件号码")
    private String credentialNumber;
    /**
    * 年龄
    */
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("年龄")
    @ApiModelProperty("年龄")
    private Integer age;
    /**
    * 备注
    */
    @ColumnWidth(100)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("值周情况")
    @ApiModelProperty("值周情况")
    private String remark;
}
