-- ----------------------------
-- 班主任事项请假
-- ----------------------------
DROP TABLE IF EXISTS wf_head_teacher_leave;
CREATE TABLE wf_head_teacher_leave
(
    id BIGINT NOT NULL COMMENT '主键编号',
    `create_user_id` BIGINT NULL DEFAULT NULL COMMENT '创建人',
    `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
    `modify_user_id` BIGINT NULL DEFAULT NULL COMMENT '修改人',
    `modify_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
    `delete_mark` INT NOT NULL COMMENT '删除标记',
    `enabled_mark` INT NOT NULL COMMENT '有效标志',
    `sort_code` INT NULL DEFAULT NULL COMMENT '序号',
    `applicant_user_id` bigint NULL DEFAULT NULL COMMENT '申请人',
    `leave_reason`varchar(20) NULL DEFAULT NULL COMMENT '请假原因(xjr_dictionary_item[leave_reason])',
    `start_time` date NULL DEFAULT NULL COMMENT '开始时间',
    `end_time` date NULL DEFAULT NULL COMMENT '结束时间',
    `is_substitute` INT NOT NULL default 0 COMMENT '是否有替班教师（1:是 0:否）',
    `substitute_user_id` bigint NULL DEFAULT NULL COMMENT '替换教师',
    `remark` varchar(1000) COMMENT '备注',
    `status` int not null default 0 COMMENT '状态（1:结束 0:未结束）',
    PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT '班主任事项请假';

DROP TABLE IF EXISTS `wf_mealrequest`;
CREATE TABLE `wf_mealrequest` (
      `id` bigint NOT NULL,
      `user_id` longtext COMMENT '申请人',
      `declaration_department` varchar(500) DEFAULT NULL COMMENT '申报部门',
      `reception_date` datetime DEFAULT NULL COMMENT '接待日期',
      `meal_category` varchar(500) DEFAULT NULL COMMENT '用餐类别',
      `number_of_visitors` double DEFAULT NULL COMMENT '来访人数',
      `dining_location` varchar(500) DEFAULT NULL COMMENT '用餐地点',
      `official_letter` varchar(500) DEFAULT NULL COMMENT '公函',
      `meal_reasons` varchar(500) DEFAULT NULL COMMENT '用餐事由',
      `file` longtext COMMENT '附件',
      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='公务接待审批';