-- ----------------------------
-- 人脸管理
-- ----------------------------
DROP TABLE IF EXISTS `base_face_management`;
CREATE TABLE `base_face_management`  (
    `id` bigint NOT NULL COMMENT '主键',
    `create_user_id` bigint NULL DEFAULT NULL COMMENT '创建人',
    `create_date` date NULL DEFAULT NULL COMMENT '创建时间',
    `modify_user_id` bigint NULL DEFAULT NULL COMMENT '修改人',
    `modify_date` date NULL DEFAULT NULL COMMENT '修改时间',
    `delete_mark` int NOT NULL COMMENT '删除标记',
    `enabled_mark` int NOT NULL COMMENT '有效标志',
    `user_id` bigint COMMENT '用户(xjr_user)',
    `face_code` varchar(50) not null default '' COMMENT '人脸编码',
    `name` varchar(50) not null default '' COMMENT '姓名',
    `sex` varchar(10) not null default '' COMMENT '性别 男, 女',
    `idno` varchar(20) not null default '' COMMENT '身份证号',
    `people_start_date` datetime COMMENT '名单有效期开始时间',
    `people_end_date` datetime COMMENT '名单有效期结束时间',
    `icno` varchar(20) not null default '' COMMENT ' ic卡号（10位10进制）',
    `register_base64` mediumblob COMMENT '图片的base64字符串',
    `verify_status` tinyint(4) unsigned default 1 not null COMMENT '验证状态 1=未验证 2=通过 3=失败',
    `verify_error_msg` varchar(200) not null default '' COMMENT '验证失败说明',
    `sync_status` tinyint(4) unsigned default 1 not null COMMENT '数据同步状态 1=未同步 2=已同步 3=同步失败',
    `status` tinyint(4) unsigned default 1 not null COMMENT '状态 1=启用 2=禁用',
    `file_id` bigint NULL DEFAULT NULL COMMENT '文件ID(xjr_file)',
    `user_type` bigint NULL DEFAULT NULL COMMENT '用户类型 1 教职工 2 学生',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '人脸管理' ROW_FORMAT = Dynamic;